# Node JS optimization pack

The *Node JS* optimization pack enables the ability to optimize applications based on Node running in V8.

The following component types are supported for NodeJS applications.

| Component Type                                                                          | Description        |
| --------------------------------------------------------------------------------------- | ------------------ |
| [Node JS 18](/akamas-docs/3.5.0/reference/optimization-packs/nodejs-pack/node-js-18.md) | Node JS 18 runtime |

### Installing

Here’s the command to install the Node JS optimization pack using the Akamas CLI:

```bash
akamas install optimization-pack NodeJS
```

For more information on the process of installing or upgrading an optimization pack refer to [Install Optimization Packs](/akamas-docs/3.5.0/reference/glossary/optimization-pack.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/nodejs-pack.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
